#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x89,0xB7,0x80,0x52,0x66,0x14,0x44,0x60,0x28,0x6F,0xB5,0x8F,
		0xFE,0xBF,0xCE,0x61,0x83,0xAE,0x92,0xE8,0xB8,0x01,0x72,0xBA,
		0xD2,0xEC,0x7B,0x0A,0x66,0x41,0x6C,0xFE,0x9A,0x53,0x16,0x65,
		0xA7,0x78,0x6D,0x1C,0x7B,0x55,0x2B,0x1D,0x81,0x12,0x7B,0x9F,
		0xA5,0xD3,0xDF,0x04,0x59,0xAD,0x0C,0x09,0xEB,0x4D,0x07,0x45,
		0xC9,0x41,0xF1,0xDB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
